## groovy.xml
Class NamespaceBuilderSupport

A helper class for creating namespaced GroovyMarkup

author:
  James Strachan

version:
  $Revision$

Field Summary
`Object` | `builder`
`String` | `prefix`
`String` | `uri`

Constructor Summary
`NamespaceBuilderSupport(BuilderSupport builder, String uri)`
`NamespaceBuilderSupport(BuilderSupport builder, String uri, String prefix)`

Method Summary
`Object` | `createNode(Object name)`
`Object` | `createNode(Object name, Object value)`
`Object` | `createNode(Object name, Map attributes)`
`Object` | `createNode(Object name, Map attributes, Object value)`
`Object` | `getName(String methodName)`
`void` | `setParent(Object parent, Object child)`

Constructor Detail

### NamespaceBuilderSupport

    public NamespaceBuilderSupport(BuilderSupport builder, String uri)

### NamespaceBuilderSupport

    public NamespaceBuilderSupport(BuilderSupport builder, String uri, String prefix)

Method Detail

### createNode

    Object createNode(Object name)

### createNode

    Object createNode(Object name, Object value)

### createNode

    Object createNode(Object name, Map attributes)

### createNode

    Object createNode(Object name, Map attributes, Object value)

### getName

    Object getName(String methodName)

### setParent

    void setParent(Object parent, Object child)